Repository 32bit  Forum
Repository 64bit  Wiki

swaret non funge

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Re: swaret non funge

Messaggioda hashbang » sab ago 07, 2010 18:16

Mario Vanoni ha scritto:
conraid ha scritto:
Mario Vanoni ha scritto:Ovviamente da root!
E se guardo Help/Release Notes di SeaMonkey e` la versione 2.06.


:roll:

sei serio... allora la cosa è grave :-)

Mario, se usi un programma non più mantenuto in una versione vecchia di slackware ok, ma vorrei ricordarti che questi programmi seguono l'andamento della distribuzione, tra l'altro è anche cambiato il formato dei pacchetti...


Ho in casa Slackware 13.0 e 13.1 originali di PJV,
ma mi rifiuto di metterle sulle mie tre macchine.
La 12.2 e` cosi` stabile, anche con il kernel 2.6.35,
che sarei un idiota ad aggiornarle con l'incerto.
Beh puoi sempre provarle in VM o in chroot :)
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1823
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: swaret non funge

Messaggioda Blallo » sab ago 07, 2010 18:17

slackyd ti da un controllo delle dipendenze pressochè perfetto
quindi NON credo che sposi a pieno la filosofia Slackware
Ultima modifica di Blallo il sab ago 07, 2010 23:40, modificato 1 volta in totale.
Io sono il detective Arsenio Magret, e porto sempre la camicia TATUATA!
Avatar utente
Blallo
Packager
Packager
 
Messaggi: 3212
Iscritto il: ven ott 12, 2007 10:37
Località: Torino / Torremaggiore (FG)
Nome Cognome: Savino Liguori
Slackware: 14.1 / 12.2
Kernel: 3.12.2-ck
Desktop: Openbox

Re: swaret non funge

Messaggioda conraid » sab ago 07, 2010 19:25

robert_plant_89 ha scritto:slackyd ti da un controllo delle dipendenze pressochè perfetto
quindi credo che sposi a pieno la filosofia Slackware


ora va bene tutto, ma qui si rasenta la blasfemia. Quel che scrivi è una contraddizione in termini. Slackware non ha controllo delle dipendenze, quindi come può un tool che le ha "sposare" la filosofia Slackware?
non facciamoci prendere in giro da chi legge per favore
Avatar utente
conraid
Staff
Staff
 
Messaggi: 11987
Iscritto il: mer lug 13, 2005 23:00
Località: Livorno
Nome Cognome: Corrado Franco
Slackware: current

Re: swaret non funge

Messaggioda RedSkull92 » sab ago 07, 2010 22:54

atomix600 ha scritto:
navajo ha scritto:Ma usare tool automatici non è contro l etica Unix AT&T e KISS ?
:lol: :lol: :lol: :lol: :lol:
Io sono più tradizionalista, mi affido a slackpkg per gli aggiornamenti e ai classici installpkg/removepkg per installare e/o rimuovere programmi...anche perchè usare questi tool come slapt-get mi danno un senso di ubuntiano. Preferisco essere libero di controllare personalmente le dipendenze da installare, è più da Slackware ;)

Ho una curiosità, ma in caso di dover installare pacchetti con dipendenze onerose (come vlc) come fai ?
Ti mesti a scaricare tutte le dipendenze 1 ad 1 ?
Avatar utente
RedSkull92
Linux 2.6
Linux 2.6
 
Messaggi: 553
Iscritto il: mar apr 21, 2009 16:25
Località: Palermo
Slackware: 64bit -current
Kernel: 3.5.4
Desktop: FluxBox

Re: swaret non funge

Messaggioda Blallo » sab ago 07, 2010 23:39

conraid ha scritto:
robert_plant_89 ha scritto:slackyd ti da un controllo delle dipendenze pressochè perfetto
quindi credo che sposi a pieno la filosofia Slackware


ora va bene tutto, ma qui si rasenta la blasfemia. Quel che scrivi è una contraddizione in termini. Slackware non ha controllo delle dipendenze, quindi come può un tool che le ha "sposare" la filosofia Slackware?
non facciamoci prendere in giro da chi legge per favore

ops...volevo scrivere NON
correggo subito
scusa la blasfemia :p
Io sono il detective Arsenio Magret, e porto sempre la camicia TATUATA!
Avatar utente
Blallo
Packager
Packager
 
Messaggi: 3212
Iscritto il: ven ott 12, 2007 10:37
Località: Torino / Torremaggiore (FG)
Nome Cognome: Savino Liguori
Slackware: 14.1 / 12.2
Kernel: 3.12.2-ck
Desktop: Openbox

Re: swaret non funge

Messaggioda navajo » dom ago 08, 2010 7:06

RedSkull92 ha scritto:
atomix600 ha scritto:
navajo ha scritto:Ma usare tool automatici non è contro l etica Unix AT&T e KISS ?
:lol: :lol: :lol: :lol: :lol:
Io sono più tradizionalista, mi affido a slackpkg per gli aggiornamenti e ai classici installpkg/removepkg per installare e/o rimuovere programmi...anche perchè usare questi tool come slapt-get mi danno un senso di ubuntiano. Preferisco essere libero di controllare personalmente le dipendenze da installare, è più da Slackware ;)

Ho una curiosità, ma in caso di dover installare pacchetti con dipendenze onerose (come vlc) come fai ?
Ti mesti a scaricare tutte le dipendenze 1 ad 1 ?

quoto in pieno.
Oggi giorno ci sono programmi che richiedono tantissime dipendenze. Slackyd ti aiuta a trovarle e a scaricarle, MA non le installa, quindi se ci sono che so, problemi di versione con delle librerie puoi sempre intervenire in tempo. Nel mentre, non ti devi impazzire a cercare / scaricare decine di pacchetti.
Parliamoci chiaro, forse un tool che forza l installazione di pacchetti inutili e magari solo suggeriti, e non necessari, è troppo, ma qualcosa che ti aiuti a cercare e scaricare ciò che è necessario, è utile.
Questo secondo la mia piccola opinione.
Avatar utente
navajo
Staff
Staff
 
Messaggi: 3765
Iscritto il: gio gen 08, 2004 0:00
Località: Roma
Nome Cognome: Massimiliano
Slackware: 13.37 (x86_64)
Kernel: 2.6.37.6
Desktop: KDE 4.7.0 (Alien)

Re: swaret non funge

Messaggioda hashbang » dom ago 08, 2010 13:54

Mario Vanoni ha scritto:
atomix600 ha scritto:Poi se come dice conraid è un software end-of-life allora conviene lasciare perdere totalmente.

Mi stuzzichi, quando una SW e` end-of-life?

Uso nvi(1), ultima versione del 1996.

Rifiuto elvis(1) e/o vim(1), non mi servono colori ecc.

Funziona perfettamente come il vecchio vi(1) di AT&T UNIX SVR3,
perche` dovrei aggiornarlo/cambiarlo?
Wikipedia ha scritto:End of life=When software is no longer sold or supported, the product is said to have reached end-of-life.

In the computing field, this has significance in the production and supportability of software and hardware products. For example, Microsoft marked Windows 98 for end-of-life on June 30, 2006. Its software produced after that date, such as Office 2007 (released November 30, 2006), is not supported on Windows 98 or any prior versions. Depending on vendor, this may differ from end of service life, which has the added distinction that a system or software will no longer be supported by the vendor providing support.
chiaro? Non è mai una cosa saggia utilizzare software EOL perchè non è più mantenuto e rischia di essere incompatibile con le tecnologie più moderne.
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1823
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: swaret non funge

Messaggioda hashbang » dom ago 08, 2010 13:57

RedSkull92 ha scritto:
atomix600 ha scritto:
navajo ha scritto:Ma usare tool automatici non è contro l etica Unix AT&T e KISS ?
:lol: :lol: :lol: :lol: :lol:
Io sono più tradizionalista, mi affido a slackpkg per gli aggiornamenti e ai classici installpkg/removepkg per installare e/o rimuovere programmi...anche perchè usare questi tool come slapt-get mi danno un senso di ubuntiano. Preferisco essere libero di controllare personalmente le dipendenze da installare, è più da Slackware ;)

Ho una curiosità, ma in caso di dover installare pacchetti con dipendenze onerose (come vlc) come fai ?
Ti mesti a scaricare tutte le dipendenze 1 ad 1 ?
certo :) la caratteristica lampante di Slackware è che il suo package manager non gestisce le dipendenze, e secondo me è il suo punto di forza :)

Offtopic: mi hai ricordato di installare vlc, mi dimentico ogni giorno....ti ringrazio!!!! :D
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1823
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: swaret non funge

Messaggioda Mario Vanoni » dom ago 08, 2010 15:04

atomix600 ha scritto:
Mario Vanoni ha scritto:
atomix600 ha scritto:Poi se come dice conraid è un software end-of-life allora conviene lasciare perdere totalmente.

Mi stuzzichi, quando una SW e` end-of-life?

Uso nvi(1), ultima versione del 1996.

Rifiuto elvis(1) e/o vim(1), non mi servono colori ecc.

Funziona perfettamente come il vecchio vi(1) di AT&T UNIX SVR3,
perche` dovrei aggiornarlo/cambiarlo?
Wikipedia ha scritto:End of life=When software is no longer sold or supported, the product is said to have reached end-of-life.

In the computing field, this has significance in the production and supportability of software and hardware products. For example, Microsoft marked Windows 98 for end-of-life on June 30, 2006. Its software produced after that date, such as Office 2007 (released November 30, 2006), is not supported on Windows 98 or any prior versions. Depending on vendor, this may differ from end of service life, which has the added distinction that a system or software will no longer be supported by the vendor providing support.
chiaro? Non è mai una cosa saggia utilizzare software EOL perchè non è più mantenuto e rischia di essere incompatibile con le tecnologie più moderne.

Domanda accademica:
hai il codice sorgente originale in C89, la utility e` _perfetta_,
cosa ti costa adattarlo a C99, se proprio necessario/voluto?
Poi GNU gcc accetta l'opzione -std=c89!
Se il programma non e` piu` mantenuto, ma _sempre_ _valido_,
perche` arrischiare con un clone/sostituto, che puo` rivelarsi un aborto?
Mario Vanoni
Iper Master
Iper Master
 
Messaggi: 3174
Iscritto il: lun set 03, 2007 20:20
Località: Cuasso al Monte (VA)
Nome Cognome: Mario Vanoni
Slackware: 12.2
Kernel: 3.0.4 statico
Desktop: fluxbox/seamonkey

Re: swaret non funge

Messaggioda hashbang » dom ago 08, 2010 16:31

Mario Vanoni ha scritto:Se il programma non e` piu` mantenuto, ma _sempre_ _valido_,
perche` arrischiare con un clone/sostituto, che puo` rivelarsi un aborto?
Offtopic: Ok a questo punto però mi chiedo: visto che preferisci usare prodotti oramai storici (direi da museo) solo perchè secondo te sono ancora validi e non hai nessuna voglia di usare programmi più recenti definiti "aborti", perchè usi GNU/Linux? Non conveniva continuare ad usare UNIX System V di AT&T? :-k
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1823
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: swaret non funge

Messaggioda Mario Vanoni » dom ago 08, 2010 17:49

atomix600 ha scritto:
Mario Vanoni ha scritto:Se il programma non e` piu` mantenuto, ma _sempre_ _valido_,
perche` arrischiare con un clone/sostituto, che puo` rivelarsi un aborto?
Offtopic: Ok a questo punto però mi chiedo: visto che preferisci usare prodotti oramai storici (direi da museo) solo perchè secondo te sono ancora validi e non hai nessuna voglia di usare programmi più recenti definiti "aborti", perchè usi GNU/Linux? Non conveniva continuare ad usare UNIX System V di AT&T? :-k

Offtopic: -non ho detto "aborti", solo "che puo` rivelarsi un aborto"
- perche` UNIX non e` gratuito, e poi in pratica e` morto da anni
- perche` dovrei abbandonare nvi ecc.?
- per programmi nuovi, molto sofisticati, ma funzionano anche loro da anni?
Guarda che programmare nella vecchia Bourne-Shell, se la governi bene,
e` al 100% compatibile/usabile in qualunqe altra shell, bash/csh/ksh ecc.
La stessa cosa con un programma in C, magari ancora in K&R 1978,
se scritto come si deve, funziona tutt'oggi al 100% perfettamente!
L'editore vi(1) e` stato creato da Bill Joy, annata 1954, da Wikipeda
Joy è considerato uno dei più grandi programmatori della storia, non solo per le sue implementazioni del protocollo TCP/IP o di Unix, ma altresì per essere stato l'autore del celebre editor vi, che è forse il più usato nel mondo unix. Una leggenda in rete vuole che Joy abbia scritto l'editor in un fine settimana.

riscritto da Keith Bostic, vedi
http://www.bostic.com/vi/
Nvi is an implementation of the ex/vi text editor originally distributed as part of the Fourth Berkeley Software Distribution (4BSD), by the University of California, Berkeley. The source code to nvi is freely available, and nvi may be freely redistributed.

Dammi una ragione plausibile per non usare programmi "oramai storici (direi da museo)"?
Mario Vanoni
Iper Master
Iper Master
 
Messaggi: 3174
Iscritto il: lun set 03, 2007 20:20
Località: Cuasso al Monte (VA)
Nome Cognome: Mario Vanoni
Slackware: 12.2
Kernel: 3.0.4 statico
Desktop: fluxbox/seamonkey

Re: swaret non funge

Messaggioda hashbang » dom ago 08, 2010 18:04

Offtopic: Mario, il mio non è un demerito a vi, ma è una considerazione. Se usi software EOL su una versione vecchia di un OS non dovrebbero esserci problemi. Ma usarla su un sistema di ultima generazione, può causarli. Ora nel tuo caso usare un'editor di testi non è come usare un programma che installa pacchetti e quindi mette mano a file di sistema. In secondo luogo, non si sta parlando di programmazione ma di un package manager come swaret che non è più mantenuto e che ha dato problemi, evidenti, su una slackware 13.0. Tu l'hai usato su una 12.2 e non ti ha dato problemi. Questo perchè come ha detto precedentemente conraid usi una versione che ancora "aderisce" agli standard di swaret. Mario il mondo va avanti e la tecnologia pure. Non si può stare rannicchiati nel passato perchè si ha paura dell'incertezza delle cose future. Bisogna pensare globalmente e pensare al domani. E questa è una prerogativa del software libero. Se non fosse così Linux non sarebbe il kernel che è oggi ma sarebbe ancora quell'insieme di assembly e codice C che girava sotto lo user-space di MINIX.
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1823
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Re: swaret non funge

Messaggioda Mario Vanoni » dom ago 08, 2010 18:14

atomix600 ha scritto:Offtopic: Mario, il mio non è un demerito a vi, ma è una considerazione. Se usi software EOL su una versione vecchia di un OS non dovrebbero esserci problemi. Ma usarla su un sistema di ultima generazione, può causarli.

Offtopic: Sembrerebbe che usiamo lo stesso kernel ... no problems.
Mario Vanoni
Iper Master
Iper Master
 
Messaggi: 3174
Iscritto il: lun set 03, 2007 20:20
Località: Cuasso al Monte (VA)
Nome Cognome: Mario Vanoni
Slackware: 12.2
Kernel: 3.0.4 statico
Desktop: fluxbox/seamonkey

Re: swaret non funge

Messaggioda hashbang » dom ago 08, 2010 18:19

Mario Vanoni ha scritto:Offtopic: Sembrerebbe che usiamo lo stesso kernel
Offtopic: Si l'ho compilato ieri. Anzi ti ringrazio, perchè è grazie alla tua dicitura kernel che ho visto che kolivas aveva rilasciato la patch :D
Adoro il pragmatismo della lingua giapponese, è l'unica in cui per dire ad una ragazza che la ami le dici "suki". (cit.)
Avatar utente
hashbang
Packager
Packager
 
Messaggi: 1823
Iscritto il: ven giu 04, 2010 9:27
Località: Lecce
Nome Cognome: Luca De Pandis
Distribuzione: Windows 8.1 Pro

Precedente

Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite

cron